#Rukovoditel 3.2;

DROP TABLE IF EXISTS app_access_groups;
DROP TABLE IF EXISTS app_access_rules;
DROP TABLE IF EXISTS app_access_rules_fields;
DROP TABLE IF EXISTS app_approved_items;
DROP TABLE IF EXISTS app_attachments;
DROP TABLE IF EXISTS app_comments;
DROP TABLE IF EXISTS app_comments_access;
DROP TABLE IF EXISTS app_comments_forms_tabs;
DROP TABLE IF EXISTS app_comments_history;
DROP TABLE IF EXISTS app_configuration;
DROP TABLE IF EXISTS app_custom_php;
DROP TABLE IF EXISTS app_dashboard_pages;
DROP TABLE IF EXISTS app_dashboard_pages_sections;
DROP TABLE IF EXISTS app_emails_on_schedule;
DROP TABLE IF EXISTS app_entities;
DROP TABLE IF EXISTS app_entities_access;
DROP TABLE IF EXISTS app_entities_configuration;
DROP TABLE IF EXISTS app_entities_groups;
DROP TABLE IF EXISTS app_entities_menu;
DROP TABLE IF EXISTS app_entity_1;
DROP TABLE IF EXISTS app_entity_1_values;
DROP TABLE IF EXISTS app_entity_25;
DROP TABLE IF EXISTS app_entity_25_values;
DROP TABLE IF EXISTS app_entity_26;
DROP TABLE IF EXISTS app_entity_26_values;
DROP TABLE IF EXISTS app_entity_27;
DROP TABLE IF EXISTS app_entity_27_values;
DROP TABLE IF EXISTS app_entity_28;
DROP TABLE IF EXISTS app_entity_28_values;
DROP TABLE IF EXISTS app_entity_29;
DROP TABLE IF EXISTS app_entity_29_values;
DROP TABLE IF EXISTS app_entity_30;
DROP TABLE IF EXISTS app_entity_30_values;
DROP TABLE IF EXISTS app_entity_31;
DROP TABLE IF EXISTS app_entity_31_values;
DROP TABLE IF EXISTS app_favorites;
DROP TABLE IF EXISTS app_fields;
DROP TABLE IF EXISTS app_fields_access;
DROP TABLE IF EXISTS app_fields_choices;
DROP TABLE IF EXISTS app_filters_panels;
DROP TABLE IF EXISTS app_filters_panels_fields;
DROP TABLE IF EXISTS app_forms_fields_rules;
DROP TABLE IF EXISTS app_forms_rows;
DROP TABLE IF EXISTS app_forms_tabs;
DROP TABLE IF EXISTS app_global_lists;
DROP TABLE IF EXISTS app_global_lists_choices;
DROP TABLE IF EXISTS app_global_vars;
DROP TABLE IF EXISTS app_help_pages;
DROP TABLE IF EXISTS app_holidays;
DROP TABLE IF EXISTS app_image_map_labels;
DROP TABLE IF EXISTS app_image_map_markers;
DROP TABLE IF EXISTS app_image_map_markers_nested;
DROP TABLE IF EXISTS app_items_export_templates;
DROP TABLE IF EXISTS app_listing_highlight_rules;
DROP TABLE IF EXISTS app_listing_sections;
DROP TABLE IF EXISTS app_listing_types;
DROP TABLE IF EXISTS app_mind_map;
DROP TABLE IF EXISTS app_portlets;
DROP TABLE IF EXISTS app_records_visibility_rules;
DROP TABLE IF EXISTS app_related_items_25_26;
DROP TABLE IF EXISTS app_reports;
DROP TABLE IF EXISTS app_reports_filters;
DROP TABLE IF EXISTS app_reports_filters_templates;
DROP TABLE IF EXISTS app_reports_groups;
DROP TABLE IF EXISTS app_reports_sections;
DROP TABLE IF EXISTS app_sessions;
DROP TABLE IF EXISTS app_user_filters_values;
DROP TABLE IF EXISTS app_user_roles;
DROP TABLE IF EXISTS app_user_roles_access;
DROP TABLE IF EXISTS app_user_roles_to_items;
DROP TABLE IF EXISTS app_users_alerts;
DROP TABLE IF EXISTS app_users_alerts_viewed;
DROP TABLE IF EXISTS app_users_configuration;
DROP TABLE IF EXISTS app_users_filters;
DROP TABLE IF EXISTS app_users_login_log;
DROP TABLE IF EXISTS app_users_notifications;
DROP TABLE IF EXISTS app_users_search_settings;


CREATE TABLE IF NOT EXISTS `app_access_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `is_default` tinyint(1) DEFAULT NULL,
  `is_ldap_default` tinyint(1) DEFAULT NULL,
  `ldap_filter` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_access_groups VALUES
('4','管理者','1','0','','2','');

CREATE TABLE IF NOT EXISTS `app_access_rules` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `entities_id` int(10) unsigned NOT NULL,
  `fields_id` int(10) unsigned NOT NULL,
  `choices` text NOT NULL,
  `users_groups` text NOT NULL,
  `access_schema` text NOT NULL,
  `fields_view_only_access` text NOT NULL,
  `comments_access_schema` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_access_rules_fields` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `entities_id` int(10) unsigned NOT NULL,
  `fields_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_approved_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `users_id` int(11) NOT NULL,
  `signature` text NOT NULL,
  `date_added` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_users_id` (`users_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_attachments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `form_token` varchar(64) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `date_added` date NOT NULL,
  `container` varchar(16) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_backups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `users_id` int(11) NOT NULL,
  `is_auto` tinyint(1) NOT NULL,
  `description` text NOT NULL,
  `filename` varchar(64) NOT NULL,
  `date_added` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_users_id` (`users_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `description` text NOT NULL,
  `attachments` text NOT NULL,
  `date_added` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_comments_access` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `access_groups_id` int(11) NOT NULL,
  `access_schema` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_access_groups_id` (`access_groups_id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_comments_access VALUES
('4','21','6','view,create'),
('5','21','5','view,create'),
('6','21','4','view,create,update,delete'),
('7','22','5','view,create'),
('8','22','4','view,create,update,delete'),
('9','23','6','view,create'),
('10','23','4','view,create,update,delete'),
('11','24','5','view,create'),
('12','24','4','view,create,update,delete'),
('13','26','4','view,create,update,delete'),
('14','28','4',''),
('15','31','4',''),
('16','30','4',''),
('17','25','4',''),
('18','27','4',''),
('19','29','4','');

CREATE TABLE IF NOT EXISTS `app_comments_forms_tabs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_comments_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `comments_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `fields_value` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_comments_id` (`comments_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_configuration` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `configuration_name` varchar(255) NOT NULL,
  `configuration_value` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=54 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_configuration VALUES
('9','CFG_APP_NAME','汽车服务客户关系管理CRM'),
('10','CFG_APP_SHORT_NAME','汽车服务'),
('11','CFG_APP_LOGO',''),
('12','CFG_EMAIL_USE_NOTIFICATION','1'),
('13','CFG_EMAIL_SUBJECT_LABEL',''),
('14','CFG_EMAIL_AMOUNT_PREVIOUS_COMMENTS','2'),
('15','CFG_EMAIL_COPY_SENDER','0'),
('16','CFG_EMAIL_SEND_FROM_SINGLE','0'),
('17','CFG_EMAIL_ADDRESS_FROM','web@yaoying.vip'),
('18','CFG_EMAIL_NAME_FROM','yaoying'),
('19','CFG_EMAIL_USE_SMTP','0'),
('20','CFG_EMAIL_SMTP_SERVER',''),
('21','CFG_EMAIL_SMTP_PORT',''),
('22','CFG_EMAIL_SMTP_ENCRYPTION',''),
('23','CFG_EMAIL_SMTP_LOGIN',''),
('24','CFG_EMAIL_SMTP_PASSWORD',''),
('25','CFG_LDAP_USE','0'),
('26','CFG_LDAP_SERVER_NAME',''),
('27','CFG_LDAP_SERVER_PORT',''),
('28','CFG_LDAP_BASE_DN',''),
('29','CFG_LDAP_UID',''),
('30','CFG_LDAP_USER',''),
('31','CFG_LDAP_EMAIL_ATTRIBUTE',''),
('32','CFG_LDAP_USER_DN',''),
('33','CFG_LDAP_PASSWORD',''),
('34','CFG_LOGIN_PAGE_HEADING',''),
('35','CFG_LOGIN_PAGE_CONTENT',''),
('36','CFG_APP_TIMEZONE','Asia/Shanghai'),
('37','CFG_APP_DATE_FORMAT','Y/d/m'),
('38','CFG_APP_DATETIME_FORMAT','Y/d/m H:i'),
('39','CFG_APP_ROWS_PER_PAGE','10'),
('40','CFG_REGISTRATION_EMAIL_SUBJECT',''),
('41','CFG_REGISTRATION_EMAIL_BODY',''),
('42','CFG_PASSWORD_MIN_LENGTH','5'),
('43','CFG_APP_LANGUAGE','chinese.php'),
('44','CFG_APP_SKIN','blue'),
('45','CFG_PUBLIC_USER_PROFILE_FIELDS',''),
('46','CFG_APP_LOGO_URL',''),
('47','CFG_APP_COPYRIGHT_NAME',''),
('48','CFG_APP_NUMBER_FORMAT','2/./*'),
('49','CFG_APP_FIRST_DAY_OF_WEEK','1'),
('50','CFG_DISABLE_CHECK_FOR_UPDATES','0'),
('51','CFG_APP_DISPLAY_USER_NAME_ORDER','firstname_lastname'),
('52','CFG_ALLOW_CHANGE_USERNAME','0'),
('53','CFG_ALLOW_REGISTRATION_WITH_THE_SAME_EMAIL','0');

CREATE TABLE IF NOT EXISTS `app_custom_php` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `is_folder` tinyint(1) NOT NULL,
  `name` varchar(255) NOT NULL,
  `code` longtext NOT NULL,
  `notes` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_dashboard_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_by` int(11) NOT NULL,
  `sections_id` int(11) NOT NULL,
  `type` varchar(16) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `name` varchar(255) NOT NULL,
  `icon` varchar(64) NOT NULL,
  `description` text NOT NULL,
  `color` varchar(16) NOT NULL,
  `users_fields` text NOT NULL,
  `users_groups` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_sections_id` (`sections_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_dashboard_pages_sections` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `grid` tinyint(1) NOT NULL,
  `sort_order` smallint(6) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_emails_on_schedule` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_added` bigint(20) unsigned NOT NULL,
  `email_to` varchar(255) NOT NULL,
  `email_to_name` varchar(255) NOT NULL,
  `email_subject` varchar(255) NOT NULL,
  `email_body` text NOT NULL,
  `email_from` varchar(255) NOT NULL,
  `email_from_name` varchar(255) NOT NULL,
  `email_attachments` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entities` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL,
  `notes` text NOT NULL,
  `display_in_menu` tinyint(1) DEFAULT 0,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_group_id` (`group_id`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_entities VALUES
('1','0','0','用户','','0','10'),
('25','0','0','客户','','0','0'),
('26','0','0','汽车','','0','0'),
('27','0','0','服务费用','','0','0'),
('28','0','0','工作订单','','0','0'),
('29','0','0','员工','','0','0'),
('30','28','0','工作','','0','0'),
('31','28','0','备件','','0','0');

CREATE TABLE IF NOT EXISTS `app_entities_access` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `access_groups_id` int(11) NOT NULL,
  `access_schema` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_access_groups_id` (`access_groups_id`)
) ENGINE=InnoDB AUTO_INCREMENT=47 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_entities_access VALUES
('40','26','4','view,create,update,delete,reports'),
('41','28','4','view,create,update,delete,reports'),
('42','31','4','view,create,update,delete,reports'),
('43','30','4','view,create,update,delete,reports'),
('44','25','4','view,create,update,delete,reports'),
('45','27','4','view,create,update,delete,reports'),
('46','29','4','view,create,update,delete,reports');

CREATE TABLE IF NOT EXISTS `app_entities_configuration` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `configuration_name` varchar(255) NOT NULL,
  `configuration_value` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB AUTO_INCREMENT=195 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_entities_configuration VALUES
('11','1','menu_title','用户'),
('12','1','listing_heading','用户'),
('13','1','window_heading','用户信息'),
('14','1','insert_button','添加用户'),
('15','1','use_comments','0'),
('57','25','menu_title',''),
('58','25','menu_icon','fa-user'),
('59','25','listing_heading',''),
('60','25','window_heading',''),
('61','25','insert_button',''),
('62','25','reports_hide_insert_button','1'),
('63','25','email_subject_new_item',''),
('64','25','email_subject_updated_item',''),
('65','25','disable_notification','0'),
('66','25','disable_internal_notification','0'),
('67','25','disable_highlight_unread','0'),
('68','25','use_comments','0'),
('69','25','display_comments_id','1'),
('70','25','display_last_comment_in_listing','1'),
('71','25','use_editor_in_comments','1'),
('72','25','disable_attachments_in_comments','1'),
('73','25','email_subject_new_comment',''),
('74','25','send_notification_to_assigned','0'),
('75','25','redirect_after_adding','subentity'),
('76','25','redirect_after_click_heading','subentity'),
('77','26','menu_title',''),
('78','26','menu_icon','fa-car'),
('79','26','listing_heading',''),
('80','26','window_heading',''),
('81','26','insert_button',''),
('82','26','reports_hide_insert_button','1'),
('83','26','email_subject_new_item',''),
('84','26','email_subject_updated_item',''),
('85','26','disable_notification','0'),
('86','26','disable_internal_notification','0'),
('87','26','disable_highlight_unread','0'),
('88','26','use_comments','1'),
('89','26','display_comments_id','1'),
('90','26','display_last_comment_in_listing','1'),
('91','26','use_editor_in_comments','0'),
('92','26','disable_attachments_in_comments','1'),
('93','26','email_subject_new_comment',''),
('94','26','send_notification_to_assigned','0'),
('95','26','redirect_after_adding','subentity'),
('96','26','redirect_after_click_heading','subentity'),
('97','27','menu_title',''),
('98','27','menu_icon','fa-credit-card'),
('99','27','listing_heading',''),
('100','27','window_heading',''),
('101','27','insert_button',''),
('102','27','reports_hide_insert_button','1'),
('103','27','email_subject_new_item',''),
('104','27','email_subject_updated_item',''),
('105','27','disable_notification','0'),
('106','27','disable_internal_notification','0'),
('107','27','disable_highlight_unread','0'),
('108','27','use_comments','0'),
('109','27','display_comments_id','1'),
('110','27','display_last_comment_in_listing','1'),
('111','27','use_editor_in_comments','1'),
('112','27','disable_attachments_in_comments','1'),
('113','27','email_subject_new_comment',''),
('114','27','send_notification_to_assigned','0'),
('115','27','redirect_after_adding','subentity'),
('116','27','redirect_after_click_heading','subentity'),
('117','28','menu_title',''),
('118','28','menu_icon','fa-wrench'),
('119','28','listing_heading',''),
('120','28','window_heading',''),
('121','28','insert_button',''),
('122','28','reports_hide_insert_button','1'),
('123','28','email_subject_new_item',''),
('124','28','email_subject_updated_item',''),
('125','28','disable_notification','0'),
('126','28','disable_internal_notification','0'),
('127','28','disable_highlight_unread','0'),
('128','28','use_comments','0'),
('129','28','display_comments_id','1'),
('130','28','display_last_comment_in_listing','1'),
('131','28','use_editor_in_comments','1'),
('132','28','disable_attachments_in_comments','1'),
('133','28','email_subject_new_comment',''),
('134','28','send_notification_to_assigned','0'),
('135','28','redirect_after_adding','info'),
('136','28','redirect_after_click_heading','subentity'),
('137','29','menu_title',''),
('138','29','menu_icon','fa-users'),
('139','29','listing_heading',''),
('140','29','window_heading',''),
('141','29','insert_button',''),
('142','29','reports_hide_insert_button','1'),
('143','29','email_subject_new_item',''),
('144','29','email_subject_updated_item',''),
('145','29','disable_notification','0'),
('146','29','disable_internal_notification','0'),
('147','29','disable_highlight_unread','0'),
('148','29','use_comments','0'),
('149','29','display_comments_id','1'),
('150','29','display_last_comment_in_listing','1'),
('151','29','use_editor_in_comments','1');

INSERT INTO app_entities_configuration VALUES
('152','29','disable_attachments_in_comments','1'),
('153','29','email_subject_new_comment',''),
('154','29','send_notification_to_assigned','0'),
('155','29','redirect_after_adding','subentity'),
('156','29','redirect_after_click_heading','subentity'),
('157','25','item_page_columns_size','8-4'),
('158','25','item_page_details_columns','2'),
('159','25','item_page_comments_position','left_column'),
('160','25','item_page_field271_entity26_position','left_column'),
('161','25','hide_item_page_field271_if_empty','0'),
('162','25','item_page_field271_entity26_heading',''),
('163','25','item_page_hidden_fields',''),
('164','26','item_page_columns_size','8-4'),
('165','26','item_page_details_columns','2'),
('166','26','item_page_comments_position','right_column'),
('167','26','item_page_field250_entity28_position','left_column'),
('168','26','hide_item_page_field250_if_empty','0'),
('169','26','item_page_field250_entity28_heading',''),
('170','26','item_page_hidden_fields',''),
('171','28','item_page_columns_size','8-4'),
('172','28','item_page_details_columns','2'),
('173','28','item_page_comments_position','left_column'),
('174','28','item_page_subentity30_position','left_column'),
('175','28','hide_subentity30_if_empty','0'),
('176','28','item_page_subentity30_heading',''),
('177','28','hide_subentity30_in_top_menu','0'),
('178','28','item_page_subentity31_position','left_column'),
('179','28','hide_subentity31_if_empty','0'),
('180','28','item_page_subentity31_heading',''),
('181','28','hide_subentity31_in_top_menu','0'),
('182','28','item_page_hidden_fields','');

CREATE TABLE IF NOT EXISTS `app_entities_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `sort_order` smallint(6) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entities_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL,
  `icon` varchar(64) NOT NULL,
  `icon_color` varchar(7) NOT NULL,
  `bg_color` varchar(7) NOT NULL,
  `entities_list` text NOT NULL,
  `reports_list` text NOT NULL,
  `pages_list` text NOT NULL,
  `type` varchar(16) DEFAULT 'entity',
  `url` varchar(255) NOT NULL,
  `users_groups` text NOT NULL,
  `assigned_to` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_1` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `client_id` bigint(20) unsigned NOT NULL,
  `parent_id` int(11) NOT NULL DEFAULT 0,
  `parent_item_id` int(11) NOT NULL DEFAULT 0,
  `linked_id` int(11) NOT NULL DEFAULT 0,
  `date_added` bigint(20) NOT NULL DEFAULT 0,
  `date_updated` bigint(20) NOT NULL DEFAULT 0,
  `created_by` int(11) DEFAULT NULL,
  `sort_order` int(11) NOT NULL DEFAULT 0,
  `password` varchar(255) NOT NULL,
  `multiple_access_groups` varchar(64) NOT NULL,
  `is_email_verified` tinyint(1) NOT NULL DEFAULT 1,
  `field_5` tinyint(1) NOT NULL,
  `field_6` int(11) NOT NULL,
  `field_7` varchar(255) NOT NULL,
  `field_8` varchar(255) NOT NULL,
  `field_9` varchar(255) NOT NULL,
  `field_10` varchar(255) NOT NULL,
  `field_12` varchar(255) NOT NULL,
  `field_13` varchar(64) NOT NULL,
  `field_14` varchar(64) NOT NULL,
  `field_201` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_client_id` (`client_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_entity_1 VALUES
('1','9170441','0','0','0','1596248899','1598366367',NULL,'0','$P$EHQolVOtXN1vtnI46C8wrqs0Ve5geY/','','1','1','0','admin','admin','web@yaoying.vip','','admin','chinese.php','','1638884655');

CREATE TABLE IF NOT EXISTS `app_entity_1_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `items_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `value` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_25` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_213` varchar(255) NOT NULL,
  `field_214` varchar(64) NOT NULL,
  `field_279` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_25_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_26` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_221` varchar(255) NOT NULL,
  `field_222` varchar(255) NOT NULL,
  `field_223` varchar(255) NOT NULL,
  `field_224` varchar(255) NOT NULL,
  `field_271` text NOT NULL,
  `field_272` varchar(64) NOT NULL,
  `field_284` varchar(64) NOT NULL,
  `field_285` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_field_271` (`field_271`(128))
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_26_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=90 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_27` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_231` bigint(11) NOT NULL,
  `field_232` text NOT NULL,
  `field_233` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_27_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_28` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_249` bigint(11) NOT NULL,
  `field_250` text NOT NULL,
  `field_251` varchar(64) NOT NULL,
  `field_252` text NOT NULL,
  `field_275` varchar(64) NOT NULL,
  `field_277` varchar(64) NOT NULL,
  `field_278` varchar(8) NOT NULL,
  `field_281` varchar(64) NOT NULL,
  `field_283` varchar(64) NOT NULL,
  `field_286` varchar(64) NOT NULL,
  `field_287` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_field_250` (`field_250`(128)),
  KEY `idx_field_252` (`field_252`(128))
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_28_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=421 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_29` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_246` varchar(255) NOT NULL,
  `field_247` bigint(11) NOT NULL,
  `field_248` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_29_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_30` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_259` text NOT NULL,
  `field_260` varchar(64) NOT NULL,
  `field_261` varchar(64) NOT NULL,
  `field_274` varchar(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_30_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_31` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_268` text NOT NULL,
  `field_269` varchar(64) NOT NULL,
  `field_270` varchar(64) NOT NULL,
  `field_273` varchar(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_31_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_favorites` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `users_id` int(11) NOT NULL,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_users_id` (`users_id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_items_Id` (`items_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `forms_tabs_id` int(11) NOT NULL,
  `comments_forms_tabs_id` int(11) NOT NULL DEFAULT 0,
  `forms_rows_position` varchar(255) NOT NULL,
  `type` varchar(64) NOT NULL,
  `name` varchar(255) NOT NULL,
  `short_name` varchar(64) NOT NULL,
  `is_heading` tinyint(1) DEFAULT 0,
  `tooltip` text NOT NULL,
  `tooltip_display_as` varchar(16) NOT NULL,
  `tooltip_in_item_page` tinyint(1) NOT NULL DEFAULT 0,
  `tooltip_item_page` text NOT NULL,
  `notes` text NOT NULL,
  `is_required` tinyint(1) DEFAULT 0,
  `required_message` text NOT NULL,
  `configuration` text NOT NULL,
  `sort_order` int(11) DEFAULT 0,
  `listing_status` tinyint(4) NOT NULL DEFAULT 0,
  `listing_sort_order` int(11) NOT NULL DEFAULT 0,
  `comments_status` tinyint(1) NOT NULL DEFAULT 0,
  `comments_sort_order` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_form_tabs_id` (`forms_tabs_id`),
  KEY `idx_comments_forms_tabs_id` (`comments_forms_tabs_id`),
  KEY `idx_type` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=288 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_fields VALUES
('1','1','1','0','','fieldtype_action','','',NULL,'','','0','','',NULL,'','',NULL,'1','0','0','0'),
('2','1','1','0','','fieldtype_id','','',NULL,'','','0','','',NULL,'','',NULL,'1','1','0','0'),
('3','1','1','0','','fieldtype_date_added','','',NULL,'','','0','','',NULL,'','',NULL,'0','0','0','0'),
('4','1','1','0','','fieldtype_created_by','','',NULL,'','','0','','',NULL,'','',NULL,'0','0','0','0'),
('5','1','1','0','','fieldtype_user_status','','',NULL,'','','0','','',NULL,'','','0','1','7','0','0'),
('6','1','1','0','','fieldtype_user_accessgroups','','',NULL,'','','0','','',NULL,'','','1','1','2','0','0'),
('7','1','1','0','','fieldtype_user_firstname','','',NULL,'','','0','','',NULL,'','{\"allow_search\":\"1\"}','3','1','4','0','0'),
('8','1','1','0','','fieldtype_user_lastname','','',NULL,'','','0','','',NULL,'','{\"allow_search\":\"1\"}','4','1','5','0','0'),
('9','1','1','0','','fieldtype_user_email','','',NULL,'','','0','','',NULL,'','{\"allow_search\":\"1\"}','6','1','6','0','0'),
('10','1','1','0','','fieldtype_user_photo','','',NULL,'','','0','','',NULL,'','','5','0','0','0','0'),
('12','1','1','0','','fieldtype_user_username','','','1','','','0','','',NULL,'','{\"allow_search\":\"1\"}','2','1','3','0','0'),
('13','1','1','0','','fieldtype_user_language','','','0','','','0','','','0','','','7','0','0','0','0'),
('14','1','1','0','','fieldtype_user_skin','','','0','','','0','','','0','','','0','0','0','0','0'),
('196','1','1','0','','fieldtype_parent_item_id','','',NULL,'','','0','','',NULL,'','',NULL,'1','100','0','0'),
('201','1','1','0','','fieldtype_user_last_login_date','','','0','','','0','','','0','','','0','0','0','0','0'),
('202','1','1','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','0','0','0','0'),
('207','25','30','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('208','25','30','0','','fieldtype_id','','','0','','','0','','','0','','','1','0','0','0','0'),
('209','25','30','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','0','0','0','0'),
('210','25','30','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','0','0','0','0'),
('211','25','30','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','0','0','0','0'),
('212','25','30','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','1','5','0','0'),
('213','25','30','0','','fieldtype_input','全名','','1','','','0','','','0','','{\"width\":\"input-medium\",\"unique_error_msg\":\"\"}','6','1','1','0','0'),
('214','25','30','0','','fieldtype_phone','电话号码','','0','','','0','','','0','','{\"width\":\"input-medium\",\"mask\":\"+7 (999) 999-99-99\",\"unique_error_msg\":\"\"}','7','1','2','0','0'),
('215','26','31','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('216','26','31','0','','fieldtype_id','','','0','','','0','','','0','','','1','0','0','0','0'),
('217','26','31','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','0','0','0','0'),
('218','26','31','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','0','0','0','0'),
('219','26','31','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','0','0','0','0'),
('220','26','31','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','1','5','0','0'),
('221','26','31','0','','fieldtype_input','车牌号','','1','','','0','','','0','','{\"allow_search\":\"1\",\"width\":\"input-medium\",\"unique_error_msg\":\"\"}','0','1','1','1','0'),
('222','26','31','0','','fieldtype_input','品牌','','0','','','0','','','0','','{\"width\":\"input-medium\",\"unique_error_msg\":\"\"}','1','1','2','0','0'),
('223','26','31','0','','fieldtype_input_masked','生产年份','','0','','','0','','','0','','{\"width\":\"input-medium\",\"mask\":\"9999\",\"mask_definitions\":\"\",\"unique_error_msg\":\"\"}','2','1','5','0','0'),
('224','26','31','0','','fieldtype_input_masked','车辆识别码VIN','','0','','','0','','','0','','{\"width\":\"input-medium\",\"mask\":\"*****************\",\"mask_definitions\":\"\",\"unique_error_msg\":\"\"}','3','1','6','0','0'),
('225','27','32','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('226','27','32','0','','fieldtype_id','','','0','','','0','','','0','','','1','0','0','0','0'),
('227','27','32','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','0','0','0','0'),
('228','27','32','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','0','0','0','0'),
('229','27','32','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','0','0','0','0'),
('230','27','32','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','1','5','0','0'),
('231','27','32','0','','fieldtype_input_date','日期','','0','','','0','','','0','','{\"date_format\":\"\",\"default_value\":\"\",\"min_date\":\"\",\"max_date\":\"\",\"unique_error_msg\":\"\",\"background\":\"\",\"day_before_date\":\"\",\"day_before_date_color\":\"\",\"day_before_date2\":\"\",\"day_before_date2_color\":\"\",\"disable_color_by_field\":\"\"}','6','1','1','0','0'),
('232','27','32','0','','fieldtype_textarea','费用报销','','0','','','0','','','0','','{\"width\":\"input-medium\"}','7','1','2','0','0'),
('233','27','32','0','','fieldtype_input_numeric','费用 (人民币)','','0','','','0','','','0','','{\"width\":\"input-medium\",\"number_format\":\"2\\/.\\/ \",\"calclulate_totals\":\"1\",\"unique_error_msg\":\"\",\"default_value\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"min_value\":\"\",\"max_value\":\"\"}','8','1','3','0','0'),
('234','28','33','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('235','28','33','0','','fieldtype_id','','','0','','','0','','','0','','','1','0','0','0','0'),
('236','28','33','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','0','0','0','0'),
('237','28','33','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','0','0','0','0'),
('238','28','33','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','0','0','0','0'),
('239','28','33','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','1','5','0','0'),
('240','29','34','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('241','29','34','0','','fieldtype_id','','','0','','','0','','','0','','','1','0','0','0','0'),
('242','29','34','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','0','0','0','0'),
('243','29','34','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','0','0','0','0'),
('244','29','34','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','0','0','0','0'),
('245','29','34','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','1','5','0','0'),
('246','29','34','0','','fieldtype_input','姓名','','1','','','0','','','0','','{\"width\":\"input-medium\",\"unique_error_msg\":\"\"}','6','1','1','0','0'),
('247','29','34','0','','fieldtype_input_date','出生日期','','0','','','0','','','0','','{\"date_format\":\"\",\"default_value\":\"\",\"min_date\":\"\",\"max_date\":\"\",\"unique_error_msg\":\"\",\"background\":\"\",\"day_before_date\":\"\",\"day_before_date_color\":\"\",\"day_before_date2\":\"\",\"day_before_date2_color\":\"\",\"disable_color_by_field\":\"\"}','7','1','2','0','0'),
('248','29','34','0','','fieldtype_phone','电话','','0','','','0','','','0','','{\"width\":\"input-medium\",\"mask\":\"+7 (999) 999-99-99\",\"unique_error_msg\":\"\"}','8','1','3','0','0'),
('249','28','33','0','','fieldtype_input_date','日期','','0','','','0','','','0','','{\"date_format\":\"\",\"default_value\":\"\",\"min_date\":\"\",\"max_date\":\"\",\"unique_error_msg\":\"\",\"background\":\"\",\"day_before_date\":\"\",\"day_before_date_color\":\"\",\"day_before_date2\":\"\",\"day_before_date2_color\":\"\",\"disable_color_by_field\":\"\"}','0','1','1','0','0'),
('250','28','33','0','','fieldtype_entity','车牌号码','','1','','','0','','','0','','{\"entity_id\":\"26\",\"display_as\":\"dropdown\",\"default_text\":\"选择...\",\"width\":\"input-medium\",\"display_as_link\":\"1\",\"allow_search\":\"1\",\"fields_in_popup\":\"\"}','1','1','2','0','0'),
('251','28','33','0','','fieldtype_mysql_query','所有者ID','','0','','','0','','','0','','{\"entity_id\":\"26\",\"select_query\":\"[272]\",\"where_query\":\"id=[250]\",\"number_format\":\"\",\"prefix\":\"\",\"suffix\":\"\"}','4','0','0','0','0'),
('252','28','33','0','','fieldtype_entity','负责人员工','','0','','','0','','','0','','{\"entity_id\":\"29\",\"display_as\":\"dropdown\",\"default_text\":\"选择...\",\"width\":\"input-medium\",\"hide_plus_button\":\"1\",\"fields_in_popup\":\"\"}','5','1','7','0','0'),
('253','30','35','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('254','30','35','0','','fieldtype_id','','','0','','','0','','','0','','','1','0','0','0','0'),
('255','30','35','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','0','0','0','0'),
('256','30','35','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','0','0','0','0'),
('257','30','35','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','0','0','0','0'),
('258','30','35','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','0','0','0','0'),
('259','30','35','0','','fieldtype_textarea','名称','','0','','','0','','','0','','{\"width\":\"input-medium\"}','6','1','1','0','0'),
('260','30','35','0','','fieldtype_input_numeric','数量','','0','','','0','','','0','','{\"width\":\"input-medium\",\"number_format\":\"\",\"unique_error_msg\":\"\",\"default_value\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"min_value\":\"\",\"max_value\":\"\"}','7','1','2','0','0'),
('261','30','35','0','','fieldtype_input_numeric','单价 (人民币)','','0','','','0','','','0','','{\"width\":\"input-small\",\"number_format\":\"2\\/.\\/ \",\"unique_error_msg\":\"\",\"default_value\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"min_value\":\"\",\"max_value\":\"\"}','8','1','3','0','0'),
('262','31','36','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('263','31','36','0','','fieldtype_id','','','0','','','0','','','0','','','1','0','0','0','0'),
('264','31','36','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','0','0','0','0'),
('265','31','36','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','0','0','0','0'),
('266','31','36','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','0','0','0','0'),
('267','31','36','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','0','0','0','0'),
('268','31','36','0','','fieldtype_textarea','名称','','0','','','0','','','0','','{\"width\":\"input-medium\"}','6','1','1','0','0'),
('269','31','36','0','','fieldtype_input_numeric','数量','','0','','','0','','','0','','{\"width\":\"input-medium\",\"number_format\":\"\",\"unique_error_msg\":\"\",\"default_value\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"min_value\":\"\",\"max_value\":\"\"}','7','1','2','0','0'),
('270','31','36','0','','fieldtype_input_numeric','单价 (人民币)','','0','','','0','','','0','','{\"width\":\"input-small\",\"number_format\":\"2\\/.\\/ \",\"unique_error_msg\":\"\",\"default_value\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"min_value\":\"\",\"max_value\":\"\"}','8','1','3','0','0'),
('271','26','31','0','','fieldtype_entity','所有者','','0','','','0','','','0','','{\"entity_id\":\"25\",\"display_as\":\"dropdown\",\"default_text\":\"\",\"width\":\"input-medium\",\"fields_in_popup\":\"\"}','4','1','3','1','1'),
('272','26','31','0','','fieldtype_mysql_query','所有者ID','','0','','','0','','','0','','{\"entity_id\":\"25\",\"select_query\":\"id\",\"where_query\":\"id=[271]\",\"number_format\":\"\",\"prefix\":\"\",\"suffix\":\"\"}','5','0','0','0','0'),
('273','31','36','0','','fieldtype_formula','总价 (人民币)','','0','','','0','','','0','','{\"formula\":\"[269]*[270]\",\"number_format\":\"2\\/.\\/ \",\"calclulate_totals\":\"1\",\"prefix\":\"\",\"suffix\":\"\"}','9','1','4','0','0'),
('274','30','35','0','','fieldtype_formula','总价 (人民币)','','0','','','0','','','0','','{\"formula\":\"[260]*[261]\",\"number_format\":\"2\\/.\\/ \",\"calclulate_totals\":\"1\",\"prefix\":\"\",\"suffix\":\"\"}','9','1','4','0','0'),
('275','28','33','0','','fieldtype_mysql_query','总金额（人民币）','','0','','','0','','','0','','{\"entity_id\":\"31\",\"select_query\":\"SUM([273])\",\"where_query\":\"parent_item_id=e.id\",\"number_format\":\"2\\/.\\/ \",\"calclulate_totals\":\"1\",\"prefix\":\"\",\"suffix\":\"\"}','6','1','8','0','0'),
('277','28','33','0','','fieldtype_mysql_query','总工作量（人民币）','','0','','','0','','','0','','{\"entity_id\":\"30\",\"select_query\":\"SUM([274])\",\"where_query\":\"parent_item_id=e.id\",\"number_format\":\"2\\/.\\/ \",\"calclulate_totals\":\"1\",\"prefix\":\"\",\"suffix\":\"\"}','7','1','9','0','0'),
('278','28','33','0','','fieldtype_boolean','已支付','','0','','','0','','','0','','{\"default_text\":\"\",\"default_value\":\"\",\"width\":\"input-medium\",\"text_boolean_true\":\"\",\"text_boolean_false\":\"\"}','8','1','10','0','0'),
('279','25','30','0','','fieldtype_mysql_query','支出金额（人民币）','','0','','','0','','','0','','{\"dinamic_query\":\"1\",\"entity_id\":\"28\",\"select_query\":\"SUM([277])\",\"where_query\":\"[251]=e.id AND [278]=\'true\'\",\"number_format\":\"2\\/.\\/ \",\"prefix\":\"\",\"suffix\":\"\"}','8','1','3','0','0'),
('281','28','33','0','','fieldtype_mysql_query','品牌','','0','','','0','','','0','','{\"entity_id\":\"26\",\"select_query\":\"[222]\",\"where_query\":\"id=[250]\",\"number_format\":\"\",\"prefix\":\"\",\"suffix\":\"\"}','2','1','3','0','0'),
('283','28','33','0','','fieldtype_mysql_query','客户','','0','','','0','','','0','','{\"entity_id\":\"26\",\"select_query\":\"[284]\",\"where_query\":\"id=[250]\",\"number_format\":\"\",\"prefix\":\"\",\"suffix\":\"\"}','9','1','5','0','0'),
('284','26','31','0','','fieldtype_mysql_query','所有者','','0','','','0','','','0','','{\"entity_id\":\"25\",\"select_query\":\"[213]\",\"where_query\":\"id=[271]\",\"number_format\":\"\",\"prefix\":\"\",\"suffix\":\"\"}','6','0','0','0','0'),
('285','26','31','0','','fieldtype_mysql_query','电话','','0','','','0','','','0','','{\"entity_id\":\"25\",\"select_query\":\"[214]\",\"where_query\":\"id=[271]\",\"number_format\":\"\",\"prefix\":\"\",\"suffix\":\"\"}','6','1','4','0','0'),
('286','28','33','0','','fieldtype_mysql_query','电话','','0','','','0','','','0','','{\"entity_id\":\"26\",\"select_query\":\"[285]\",\"where_query\":\"id=[250]\",\"number_format\":\"\",\"prefix\":\"\",\"suffix\":\"\"}','10','1','6','0','0'),
('287','28','33','0','','fieldtype_input_numeric','里程表读数（公里）','','0','','','0','','','0','','{\"width\":\"input-medium\",\"number_format\":\"0\\/.\\/ \",\"unique_error_msg\":\"\",\"default_value\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"min_value\":\"\",\"max_value\":\"\"}','3','1','4','0','0');

CREATE TABLE IF NOT EXISTS `app_fields_access` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `access_groups_id` int(11) NOT NULL,
  `entities_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `access_schema` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_access_groups_id` (`access_groups_id`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_fields_access VALUES
('1','4','26','216','hide'),
('2','4','26','217','hide'),
('3','4','26','219','hide'),
('4','4','26','218','hide'),
('5','4','26','272','hide'),
('6','4','26','284','hide'),
('7','4','28','235','hide'),
('8','4','28','236','hide'),
('9','4','28','238','hide'),
('10','4','28','237','hide'),
('11','4','28','251','hide'),
('12','4','31','263','hide'),
('13','4','31','264','hide'),
('14','4','31','266','hide'),
('15','4','31','265','hide'),
('16','4','30','254','hide'),
('17','4','30','255','hide'),
('18','4','30','257','hide'),
('19','4','30','256','hide'),
('20','4','25','208','hide'),
('21','4','25','209','hide'),
('22','4','25','211','hide'),
('23','4','25','210','hide'),
('24','4','27','226','hide'),
('25','4','27','227','hide'),
('26','4','27','229','hide'),
('27','4','27','228','hide'),
('28','4','29','241','hide'),
('29','4','29','242','hide'),
('30','4','29','244','hide'),
('31','4','29','243','hide');

CREATE TABLE IF NOT EXISTS `app_fields_choices` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT 0,
  `fields_id` int(11) NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT 1,
  `name` varchar(255) NOT NULL,
  `is_default` tinyint(1) DEFAULT NULL,
  `bg_color` varchar(16) NOT NULL,
  `sort_order` int(11) DEFAULT NULL,
  `users` text NOT NULL,
  `value` varchar(64) NOT NULL,
  `filename` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=68 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_filters_panels` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `type` varchar(64) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `is_active_filters` tinyint(1) NOT NULL,
  `position` varchar(16) NOT NULL,
  `users_groups` text NOT NULL,
  `width` tinyint(1) NOT NULL,
  `sort_order` smallint(6) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_filters_panels_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `panels_id` int(11) NOT NULL,
  `entities_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `title` varchar(64) NOT NULL,
  `width` varchar(16) NOT NULL,
  `height` varchar(16) NOT NULL,
  `display_type` varchar(32) NOT NULL,
  `search_type_match` tinyint(1) NOT NULL,
  `exclude_values` text NOT NULL,
  `sort_order` smallint(6) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_panels_id` (`panels_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_forms_fields_rules` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `entities_id` int(10) unsigned NOT NULL,
  `fields_id` int(10) unsigned NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT 1,
  `choices` text NOT NULL,
  `visible_fields` text NOT NULL,
  `hidden_fields` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_forms_rows` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `forms_tabs_id` int(11) NOT NULL,
  `columns` tinyint(4) NOT NULL,
  `column1_width` tinyint(4) NOT NULL,
  `column2_width` tinyint(4) NOT NULL,
  `column3_width` tinyint(4) NOT NULL,
  `column4_width` tinyint(4) NOT NULL,
  `column5_width` tinyint(4) NOT NULL,
  `column6_width` tinyint(4) NOT NULL,
  `field_name_new_row` tinyint(1) NOT NULL,
  `sort_order` smallint(6) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `entities_id` (`entities_id`),
  KEY `forms_tabs_id` (`forms_tabs_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_forms_tabs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `parent_id` int(11) NOT NULL DEFAULT 0,
  `is_folder` tinyint(1) NOT NULL DEFAULT 0,
  `name` varchar(64) NOT NULL,
  `description` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_forms_tabs VALUES
('1','1','0','0','信息','','0'),
('30','25','0','0','信息','','0'),
('31','26','0','0','信息','','0'),
('32','27','0','0','信息','','0'),
('33','28','0','0','信息','','0'),
('34','29','0','0','信息','','0'),
('35','30','0','0','信息','','0'),
('36','31','0','0','信息','','0');

CREATE TABLE IF NOT EXISTS `app_global_lists` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_global_lists_choices` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT 0,
  `lists_id` int(11) NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT 1,
  `name` varchar(255) NOT NULL,
  `is_default` tinyint(1) DEFAULT NULL,
  `bg_color` varchar(16) NOT NULL,
  `value` varchar(64) NOT NULL,
  `sort_order` int(11) DEFAULT NULL,
  `users` text NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_lists_id` (`lists_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_global_vars` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `is_folder` tinyint(1) NOT NULL,
  `name` varchar(64) NOT NULL,
  `value` varchar(255) NOT NULL,
  `notes` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_help_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `type` varchar(16) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `name` varchar(255) NOT NULL,
  `icon` varchar(64) NOT NULL,
  `start_date` int(11) NOT NULL,
  `end_date` int(11) NOT NULL,
  `description` text NOT NULL,
  `color` varchar(16) NOT NULL,
  `position` varchar(16) NOT NULL,
  `users_groups` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_holidays` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_image_map_labels` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `map_id` int(11) NOT NULL,
  `choices_id` int(11) NOT NULL,
  `x` int(11) NOT NULL,
  `y` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_map_id` (`map_id`),
  KEY `idx_choices_id` (`choices_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_image_map_markers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) NOT NULL,
  `map_id` int(11) NOT NULL,
  `x` int(11) NOT NULL,
  `y` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_map_id` (`map_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_image_map_markers_nested` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `x` int(11) NOT NULL,
  `y` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_items_export_templates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `users_id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL,
  `templates_fields` text NOT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `cidx` (`entities_id`,`users_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_listing_highlight_rules` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `entities_id` int(10) unsigned NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `fields_id` int(10) unsigned NOT NULL,
  `fields_values` text NOT NULL,
  `bg_color` varchar(7) NOT NULL,
  `sort_order` int(11) NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `entities_id` (`entities_id`),
  KEY `fields_id` (`fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_listing_sections` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_types_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `fields` text NOT NULL,
  `display_as` varchar(16) NOT NULL,
  `display_field_names` tinyint(1) NOT NULL,
  `text_align` varchar(16) NOT NULL,
  `width` varchar(16) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_listing_types_id` (`listing_types_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_listing_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `type` varchar(16) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `is_default` tinyint(4) NOT NULL,
  `width` smallint(6) NOT NULL,
  `settings` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_listing_types VALUES
('1','26','table','1','1','0',''),
('2','26','list','0','0','0',''),
('3','26','grid','0','0','0',''),
('4','26','mobile','0','0','0',''),
('5','28','table','1','1','0',''),
('6','28','list','0','0','0',''),
('7','28','grid','0','0','0',''),
('8','28','mobile','0','0','0',''),
('9','25','table','1','1','0',''),
('10','25','list','0','0','0',''),
('11','25','grid','0','0','0',''),
('12','25','mobile','0','0','0',''),
('13','27','table','1','1','0',''),
('14','27','list','0','0','0',''),
('15','27','grid','0','0','0',''),
('16','27','mobile','0','0','0',''),
('17','29','table','1','1','0',''),
('18','29','list','0','0','0',''),
('19','29','grid','0','0','0',''),
('20','29','mobile','0','0','0',''),
('21','31','table','1','1','0',''),
('22','31','list','0','0','0',''),
('23','31','grid','0','0','0',''),
('24','31','mobile','0','0','0',''),
('25','30','table','1','1','0',''),
('26','30','list','0','0','0',''),
('27','30','grid','0','0','0',''),
('28','30','mobile','0','0','0','');

CREATE TABLE IF NOT EXISTS `app_mind_map` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) DEFAULT NULL,
  `fields_id` int(11) DEFAULT NULL,
  `reports_id` int(11) DEFAULT NULL,
  `mm_id` varchar(64) NOT NULL,
  `mm_parent_id` varchar(64) NOT NULL,
  `mm_text` varchar(255) NOT NULL,
  `mm_layout` varchar(16) NOT NULL,
  `mm_shape` varchar(16) NOT NULL,
  `mm_side` varchar(16) NOT NULL,
  `mm_color` varchar(16) NOT NULL,
  `mm_icon` varchar(32) NOT NULL,
  `mm_collapsed` varchar(1) NOT NULL,
  `mm_value` varchar(64) NOT NULL,
  `mm_items_id` int(11) DEFAULT 0,
  `parent_entity_item_id` int(11) NOT NULL DEFAULT 0,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_reports_id` (`reports_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_portlets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(128) NOT NULL,
  `users_id` int(11) NOT NULL,
  `is_collapsed` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`,`users_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_records_visibility_rules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `users_groups` text NOT NULL,
  `merged_fields` text NOT NULL,
  `merged_fields_empty_values` text NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_related_items_25_26` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `entity_26_items_id` int(11) unsigned NOT NULL,
  `entity_25_items_id` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_26_items_id` (`entity_26_items_id`),
  KEY `idx_25_items_id` (`entity_25_items_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `app_reports` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT 0,
  `entities_id` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `reports_type` varchar(64) NOT NULL,
  `name` varchar(64) NOT NULL,
  `menu_icon` varchar(64) NOT NULL,
  `icon_color` varchar(7) NOT NULL,
  `bg_color` varchar(7) NOT NULL,
  `in_menu` tinyint(1) NOT NULL DEFAULT 0,
  `in_dashboard` tinyint(4) NOT NULL DEFAULT 0,
  `in_dashboard_counter` tinyint(1) NOT NULL DEFAULT 0,
  `in_dashboard_icon` tinyint(1) NOT NULL,
  `in_dashboard_counter_color` varchar(16) NOT NULL,
  `in_dashboard_counter_bg_color` varchar(16) NOT NULL,
  `in_dashboard_counter_fields` varchar(255) NOT NULL,
  `dashboard_counter_hide_count` tinyint(1) NOT NULL DEFAULT 0,
  `dashboard_counter_hide_zero_count` tinyint(1) NOT NULL,
  `dashboard_counter_sum_by_field` int(11) NOT NULL,
  `in_header` tinyint(1) NOT NULL DEFAULT 0,
  `in_header_autoupdate` tinyint(1) NOT NULL,
  `dashboard_sort_order` int(11) DEFAULT NULL,
  `header_sort_order` int(11) NOT NULL DEFAULT 0,
  `dashboard_counter_sort_order` int(11) NOT NULL DEFAULT 0,
  `listing_order_fields` text NOT NULL,
  `users_groups` text NOT NULL,
  `assigned_to` text NOT NULL,
  `displays_assigned_only` tinyint(1) NOT NULL DEFAULT 0,
  `parent_entity_id` int(11) NOT NULL DEFAULT 0,
  `parent_item_id` int(11) NOT NULL DEFAULT 0,
  `fields_in_listing` text NOT NULL,
  `rows_per_page` int(11) NOT NULL DEFAULT 0,
  `notification_days` varchar(32) NOT NULL,
  `notification_time` varchar(255) NOT NULL,
  `listing_type` varchar(16) NOT NULL,
  `listing_col_width` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_entity_id` (`parent_entity_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_reports_type` (`reports_type`),
  KEY `idx_in_dashboard` (`in_dashboard`),
  KEY `idx_in_dashboard_counter` (`in_dashboard_counter`)
) ENGINE=InnoDB AUTO_INCREMENT=104 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_reports VALUES
('72','0','28','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('73','0','26','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','221_asc','','','0','0','0','','0','','','',''),
('74','0','25','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('75','0','27','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('76','0','29','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('77','0','1','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('78','0','31','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','28','1','','0','','','',''),
('79','0','30','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','28','1','','0','','','',''),
('80','0','31','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','28','2','','0','','','',''),
('82','0','30','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','28','2','','0','','','',''),
('85','0','31','0','parent_item_info_page','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('86','0','30','0','parent_item_info_page','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('87','0','31','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','28','3','','0','','','',''),
('88','0','31','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','28','4','','0','','','',''),
('91','0','30','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','28','4','','0','','','','');

CREATE TABLE IF NOT EXISTS `app_reports_filters` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `reports_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `filters_values` text NOT NULL,
  `filters_condition` varchar(64) NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_reports_id` (`reports_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB AUTO_INCREMENT=82 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_reports_filters_templates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fields_id` int(11) NOT NULL,
  `users_id` int(11) NOT NULL,
  `filters_values` text NOT NULL,
  `filters_condition` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cidx` (`fields_id`,`users_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_reports_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `menu_icon` varchar(64) NOT NULL,
  `icon_color` varchar(7) NOT NULL,
  `bg_color` varchar(7) NOT NULL,
  `in_menu` tinyint(1) NOT NULL,
  `in_dashboard` tinyint(1) NOT NULL,
  `sort_order` smallint(6) NOT NULL,
  `counters_list` text NOT NULL,
  `reports_list` text NOT NULL,
  `created_by` int(11) NOT NULL,
  `is_common` tinyint(1) NOT NULL DEFAULT 0,
  `users_groups` text NOT NULL,
  `assigned_to` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_reports_sections` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_by` int(11) NOT NULL,
  `count_columns` tinyint(1) NOT NULL DEFAULT 2,
  `reports_groups_id` int(11) NOT NULL,
  `report_left` varchar(64) NOT NULL,
  `report_right` varchar(64) NOT NULL,
  `sort_order` smallint(6) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_reports_groups_id` (`reports_groups_id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_sessions` (
  `sesskey` varchar(32) NOT NULL,
  `expiry` bigint(20) unsigned NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`sesskey`),
  KEY `idx_expiry` (`expiry`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_user_filters_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `filters_id` int(11) NOT NULL,
  `reports_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `filters_values` text NOT NULL,
  `filters_condition` varchar(64) NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_filters_id` (`filters_id`),
  KEY `idx_reports_id` (`reports_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_user_roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_user_roles_access` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_roles_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `entities_id` int(11) NOT NULL,
  `access_schema` varchar(255) NOT NULL,
  `comments_access` varchar(64) NOT NULL,
  `fields_access` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_user_roles_id` (`user_roles_id`),
  KEY `entities_id` (`entities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_user_roles_to_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fields_id` int(11) NOT NULL,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) NOT NULL,
  `users_id` int(11) NOT NULL,
  `roles_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_roles_id` (`roles_id`),
  KEY `idx_users_id` (`users_id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_users_alerts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `is_active` tinyint(1) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `type` varchar(16) NOT NULL,
  `location` varchar(16) NOT NULL,
  `start_date` bigint(20) unsigned NOT NULL,
  `end_date` bigint(20) unsigned NOT NULL,
  `assigned_to` text NOT NULL,
  `users_groups` text NOT NULL,
  `created_by` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_users_alerts_viewed` (
  `users_id` int(11) NOT NULL,
  `alerts_id` int(11) NOT NULL,
  KEY `idx_ueser_alerts` (`users_id`,`alerts_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_users_configuration` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `users_id` int(11) NOT NULL,
  `configuration_name` varchar(255) NOT NULL,
  `configuration_value` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_users_id` (`users_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_users_filters` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `reports_id` int(11) NOT NULL,
  `users_id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL,
  `fields_in_listing` text NOT NULL,
  `listing_order_fields` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_reports_id` (`reports_id`),
  KEY `idx_users_id` (`users_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_users_login_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `users_id` int(11) DEFAULT NULL,
  `username` varchar(255) NOT NULL,
  `identifier` varchar(255) NOT NULL,
  `is_success` tinyint(1) NOT NULL,
  `date_added` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_users_id` (`users_id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_users_notifications` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `users_id` int(11) NOT NULL,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) NOT NULL,
  `name` text NOT NULL,
  `type` varchar(16) NOT NULL,
  `date_added` bigint(20) unsigned NOT NULL,
  `created_by` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_users_id` (`users_id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_uei` (`users_id`,`entities_id`) USING BTREE,
  KEY `idx_created_by` (`created_by`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_users_search_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `users_id` int(11) NOT NULL,
  `reports_id` int(11) NOT NULL,
  `configuration_name` varchar(255) NOT NULL,
  `configuration_value` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_users_id` (`users_id`),
  KEY `idx_users_reports_id` (`users_id`,`reports_id`),
  KEY `idx_reports_id` (`reports_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=187 DEFAULT CHARSET=utf8mb4;

DROP TABLE IF EXISTS app_logs;

CREATE TABLE IF NOT EXISTS `app_logs` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `users_id` int(11) UNSIGNED NOT NULL,
  `ip_address` varchar(64) NOT NULL,
  `log_type` varchar(16) NOT NULL,
  `date_added` int(11) NOT NULL,
  `http_url` varchar(255) NOT NULL,
  `is_ajax` tinyint(1) NOT NULL,
  `description` text NOT NULL,
  `seconds` decimal(11,4) NOT NULL,
  `errno` int(10) UNSIGNED NOT NULL,
  `filename` varchar(255) NOT NULL,
  `linenum` int(10) UNSIGNED NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_users_id` (`users_id`),
  KEY `idx_date_added` (`date_added`),
  KEY `idx_ip_address` (`ip_address`),
  KEY `idx_log_type` (`log_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

ALTER TABLE `app_records_visibility_rules` ADD `mysql_query` TEXT NOT NULL AFTER `notes`;

ALTER TABLE `app_sessions` CHANGE `value` `value` LONGTEXT;

ALTER TABLE `app_reports` ADD `description` TEXT NOT NULL AFTER `name`;

CREATE TABLE IF NOT EXISTS `app_nested_entities_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `is_active` tinyint(4) NOT NULL,
  `name` varchar(64) NOT NULL,
  `entities` varchar(255) NOT NULL,
  `icon` varchar(64) NOT NULL,
  `icon_color` varchar(10) NOT NULL,
  `sort_order` smallint(6) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

